Package org.kapott.hbci.tools

# Class AbstractShowLowlevelData

java.lang.Object
org.kapott.hbci.tools.AbstractShowLowlevelData

Direct Known Subclasses:
  `ShowLowlevelGVRestrictions`, `ShowLowlevelGVRs`, `ShowLowlevelGVs`

public class AbstractShowLowlevelData extends Object
Basisklasse für die beiden `ShowLowlevelGV*`-Tools. Diese Klasse wird nur intern verwendet.

## Constructor Summary

Constructors
Constructor
Description
`AbstractShowLowlevelData()`

## Method Summary

Modifier and Type
Method
Description
`protected static void`
`displayContentRef(String path, Element ref, Document syntax, int indent, int currentLevel, int minLevel)`
`protected static String`
`pathWithDot(String path)`
`protected static void`
`showData(String gvname, Document syntax)`
`protected static void`
`showData(String gvname, Document syntax, int minLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractShowLowlevelData

public AbstractShowLowlevelData()

## Method Details

### showData

protected static void showData(String gvname, Document syntax, int minLevel)

### displayContentRef

protected static void displayContentRef(String path, Element ref, Document syntax, int indent, int currentLevel, int minLevel)

### showData

protected static void showData(String gvname, Document syntax)

### pathWithDot

protected static String pathWithDot(String path)